Subject: Re: update via setup.exe removed NTFS junction?
From: Robert Collins <[email-masked]>
To: Robert R Schneck-McConnell <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Feb 2004 10:45:54 +1100

On Wed, 2004-02-04 at 10:37, Robert R Schneck-McConnell wrote:
> For reasons which are now obscure to me, I had set up an NTFS junction
> point from /var (c:\cygwin\var) to some other partition.  Could have
> done it with mount, but I didn't.
> 
> Just today after running setup.exe and getting cygwin-1.5.7-1 and a few
> other things, I found that /var was now an ordinary directory with
> the only contents the subdirectory cache (with empty subdirectory man)
> and the subdirectory log (with setup.log and setup.log.full).
> Luckily my mail spool et al were still intact at the old junction
> target.
> 
> Can anyone divine what happened?  Cygcheck output attached, in case
> it is useful.

cygcheck isn't useful. The full setup log might be useful, but I rather
doubt it. 

Short answer is: 'don't do that'.

Rob
-- 
GPG key available at: <http://www.robertcollins.net/keys.txt>.